#ifndef EXTERNS_H
#define EXTERNS_H

#include "symbol.h"
#include "typedef.h"

/*{{{  typedefs (Symlist, Grouplist)*/
typedef struct Symlist {
	Symbol  *sp;
	struct Symlist  *next;
} Symlist;

typedef struct Grouplist {
	Symbol  *sp;			/* common-block name */
	Symlist  *first_id;		/* first ID in the common block */
	Symlist  *last_id;		/* last   "     "     "     "   */
	struct Grouplist  *next;	/* next common-block record */
} Grouplist;
/*}}}*/
/*{{{  function decls*/
Grouplist  *lookup_or_install_group ();
bool  install_global_entity ();
/*}}}*/
/*{{{  externs*/
extern Grouplist  *common_list,  *namelist_list;
/*}}}*/

#endif
